package com.ruoyi.common.core.domain;

import java.io.Serializable;

/**
 * @Author: tjf
 * @Date: 2024/4/23 14:58
 * @Describe:
 */
public class IdCardVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 身份证号码
     */
    private String idCard;
    /**
     * 姓名
     */
    private String name;
    /**
     * 图片
     */
    private String image;
    /**
     *-front：身份证含照片的一面
     * -back：身份证带国徽的一面
     */
    private String idCardSide;

    public String getIdCardSide() {
        return idCardSide;
    }

    public void setIdCardSide(String idCardSide) {
        this.idCardSide = idCardSide;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    @Override
    public String toString() {
        return "IdCardVo{" +
                "idCard='" + idCard + '\'' +
                ", name='" + name + '\'' +
                ", image='" + image + '\'' +
                ", idCardSide='" + idCardSide + '\'' +
                '}';
    }
}
